#pragma once

#include "buffer.hpp"

namespace TSE::OpenGL
{
    class VertexBuffer : public buffer
    {
    public:
        static uint boundBuffer;
        VertexBuffer();
        void SetData(int size, void* buffer, GLenum usage);
        void Bind() override;
        void Unbind() override;
        bool IsBound();
        ~VertexBuffer();
    };
} // namespace TSE::GLFW
